Program Madarfeldolgozas; {mintamegolds}
(*
  Feladat:
    Adott a helyek s madrflesgek szma, valamint hogy az egyes helyeken
    mennyit szmoltunk az egyes madarflkbl.
    Hatrozzuk meg: hny madarat szmoltak meg sszesen az egyes helyeken.
*)
  Uses
    Crt;
  Const
    MaxN=100; {maximlis helyek szma}
    MaxM=25;  {maximlis madrflesgek szma}
  Type
    TMeresek=Array [1..MaxN,1..MaxM] of Integer;
    TDarabok=Array [1..MaxN] of Integer;
  Var
    N,M:Integer;
    madarak:TMeresek;
    dbk:TDarabok;

  Procedure Beolvas;
    Var
      i,j:Integer;
  Begin
    Repeat
      Write('Helyek szma [0..',MaxN,']:');
      {$i-}Readln(N);{$i+}
    Until (IOResult=0) and (N>=0) and (N<=MaxN);
    Repeat
      Write('Madarfajtk szma:');
      {$i-}Readln(M);{$i+}
    Until (IOResult=0) and (M>=0) and (M<=MaxM);
    Writeln ('Madrdarabszmok (hely,madrfajta)');
    For i:=1 to N do
    Begin
      For j:=1 to M do
      Begin
        Repeat
          Write('(',i,',',j,'):');
          {$i-}Readln(madarak[i,j]);{$i+}
        Until (IOResult=0) and (madarak[i,j]>=0);
      End;
    End;
  End;

  Procedure Osszeszamol;
    Var
      i,j:Integer;
  Begin
    For i:=1 to N do
    Begin
      dbk [i]:=0;
      For j:=1 to M do
      Begin
        Inc(dbk[i], madarak[i,j]);
      End;
    End;
  End;

  Procedure Kiir;
    Var
      i:Integer;
  Begin
    Writeln ('ssz madrszm:');
    For i:=1 to N do
    Begin
      Writeln(i,'.:',dbk[i]);
    End;
  End;

Begin
  ClrScr;
  Beolvas;
  Osszeszamol;
  Kiir;
  ReadKey;
End.

(*
  Tovbbi feladatok:
  1. Hnyfle madarat figyeltek meg az egyes helyeken?
  2. Melyik helyen volt a legtbbfle madr?
  3. Az adatokat fjlbl olvassuk s fjlba rjuk...
*)
